/**
 * 参考https://github.com/nuysoft/Mock/wiki/Syntax-Specification
 * */
module.exports = [
  // get tasklist
  {
    url: '/tasklist',
    type: 'get',
    response: config => {
      const temp = [
        {
          startTime: '--',
          missionNo: 'xxxxxxxxx',
          tit: '一汽丰田体系审查',
          owener: '@cname',
          'costTime': 0,
          'progress': 0
        },
        {
          startTime: '2020-12-01 10:30 ',
          missionNo: 'xxxxxxxxx',
          tit: '一汽丰田体系审查',
          owener: '@cname',
          'costTime': 3,
          'progress': 80
        },
        {
          startTime: '2020-12-01 10:30',
          missionNo: 'xxxxxxxxx',
          tit: '一汽丰田体系审查',
          owener: '@cname',
          'costTime': 12,
          'progress': 90
        }
      ]
      return {
        rows: temp,
        code: 200,
        total: 10
      }
    }
  },
  {
    url: '/finishTasklist',
    type: 'get',
    response: config => {
      const temp = [
        {
          startTime: '2020-12-01 10:30 ',
          missionNo: 'xxxxxxxxx',
          tit: '一汽丰田体系审查',
          owener: '@cname',
          'costTime': 3,
          'progress': 80
        },
        {
          startTime: '2020-12-01 10:30',
          missionNo: 'xxxxxxxxx',
          tit: '一汽丰田体系审查',
          owener: '@cname',
          'costTime': 12,
          'progress': 90
        }
      ]
      return {
        rows: temp,
        code: 200,
        total: 10
      }
    }
  },
  // get taskCarType
  {
    url: '/taskCarType',
    type: 'get',
    response: config => {
      const temp = [
        {
          startTime: '----',
          missionNo: 'xxxx',
          tit: '广汽丰田车型测评1210',
          owener: '@cname',
          'costTimeOne': 0,
          'costTimeTwo': 0,
          'progressOne': 0,
          'progressTwo': 0,
          docTypeOne:1,
          docTypeTwo:2,
        },
        {
          startTime: ' 2020-12-01 10:30',
          missionNo: 'xxxx',
          tit: '广汽丰田车型测评1210',
          owener: '@cname',
          'costTimeOne': 12,
          'costTimeTwo': 0,
          'progressOne': 80,
          'progressTwo': 0,
          docTypeOne:3,
          docTypeTwo:2,
        },
        {
          startTime: ' 2020-12-01 10:30',
          missionNo: 'xxxx',
          tit: '广汽丰田车型测评1210',
          owener: '@cname',
          'costTimeOne': 24,
          'costTimeTwo': 3,
          'progressOne': 90,
          'progressTwo': 30,
          docTypeOne:4,
          docTypeTwo:2,
        },
        {
          startTime: ' 2020-12-01 10:30',
          missionNo: 'xxxx',
          tit: '广汽丰田车型测评1210',
          owener: '@cname',
          'costTimeOne': 25,
          'costTimeTwo': 1,
          'progressOne': 100,
          'progressTwo': 30,
          docTypeOne:5,
          docTypeTwo:6,
        },
        {
          startTime: ' 2020-12-01 10:30',
          missionNo: 'xxxx',
          tit: '广汽丰田车型测评1210',
          owener: '@cname',
          'costTimeOne': 49,
          'costTimeTwo': 25,
          'progressOne': 100,
          'progressTwo': 90,
          docTypeOne:5,
          docTypeTwo:7,
        },
        {
          startTime: ' 2020-12-01 10:30',
          missionNo: 'xxxx',
          tit: '广汽丰田车型测评1210',
          owener: '@cname',
          'costTimeOne': 49,
          // 'costTimeTwo': 25,
          'progressOne': 100,
          // 'progressTwo': 90,
          docTypeOne:1,
          // docTypeTwo:1,
        }
      ]
      return {
        rows: temp,
        code: 200,
        total: 10
      }
    }
  },
  {
    url: '/company/list',
    type: 'get',
    response: config => {
      const temp = []
      for (let i = 0; i < 10; i++) {
        temp.push({
          companyName: 'xxxxx',
          address: 'xxxxx',
          mailCode: 'xxxxx',
          companyPeople: 'xxxxx',
          phoneNum: 'xxxxx',
          createTime: '2020-11-25 23:26:08'
        })
      }
      return {
        rows: temp,
        code: 200,
        total: 10
      }
    }
  }
]
